Arduino

Reference Language | Libraries | Comparison | Changes

Ethernet : Client class

## read()

Read the next byte received from the server the client is connected to (after the last call to read()).

read() inherits from the Stream utility class.

#### Syntax

client.read()

#### Parameters

none

#### Returns

The next byte (or character), or -1 if none is available.

#### See Also

- Stream.read()
  Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes